{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.manalabs_scp.scp_plague.alone_detector": {
			"initial_state": "init",
			"states": {
				"init": {
					"transitions": [
						{
							"default": "1.0"
						}
					]
				},
				"default": {
					"on_entry": ["variable.scp_plague_check_cooldown = query.life_time + 10 + math.random(0, 3);"],
					"transitions": [
						{
							"check_for_scp049": "variable.scp_plague_check_cooldown < query.life_time"
						}
					]
				},
				"check_for_scp049": {
					"on_entry": ["/execute unless entity @e[type=manalabs_scp:scp049,r=20] run effect @s wither 100 4"],
					"transitions": [
						{
							"default": "1.0"
						}
					]
				}
			}
		}
	}
}